Index: /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.cc	(revision 6770)
+++ /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.cc	(revision 6771)
@@ -32,4 +32,5 @@
 #include <cassert>
 #include <OgreRenderWindow.h>
+#include <OgreCamera.h>
 
 #include "core/ConsoleCommand.h"
@@ -42,4 +43,5 @@
 #include "core/GraphicsManager.h"
 #include "core/CommandExecutor.h"
+#include "graphics/Camera.h"
 
 
@@ -75,30 +77,26 @@
         {
             ControllableEntity* ce = HumanController::getLocalControllerSingleton()->getControllableEntity();
+            Camera* camera = ce->getCamera();
             assert(ce);
         
             Ogre::RenderWindow* w = GraphicsManager::getInstance().getRenderWindow();
 
-
-
             switch (iterateOverDirections_) 
             {
             case 0 :
-                CommandExecutor::execute("pause");
-                //w->writeContentsToFile(skyboxPrefix_+"FR.png");
-                w->writeContentsToFile(skyboxPrefix_+"0.png");
+                camera->getOgreCamera()->setFOVy(Degree(90));
+                camera->getOgreCamera()->setAspectRatio(1);
+                iterateOverDirections_++;
+                break;
+            case 1 :
+                w->writeContentsToFile(skyboxPrefix_+"fr.png");
+                //w->writeContentsToFile(skyboxPrefix_+"0.png");
                 ce->yaw(Degree(90));
                 iterateOverDirections_++;
                 break;
                 
-            case 1 :
-                //w->writeContentsToFile(skyboxPrefix_+"LF.png");
-                w->writeContentsToFile(skyboxPrefix_+"1.png");
-                ce->yaw(Degree(90)); 
-                iterateOverDirections_++;
-                break;
-
             case 2 :
-                //w->writeContentsToFile(skyboxPrefix_+"BK.png");
-                w->writeContentsToFile(skyboxPrefix_+"2.png");
+                w->writeContentsToFile(skyboxPrefix_+"lf.png");
+                //w->writeContentsToFile(skyboxPrefix_+"1.png");
                 ce->yaw(Degree(90)); 
                 iterateOverDirections_++;
@@ -106,6 +104,13 @@
 
             case 3 :
-                //w->writeContentsToFile(skyboxPrefix_+"RT.png");
-                w->writeContentsToFile(skyboxPrefix_+"3.png");
+                w->writeContentsToFile(skyboxPrefix_+"bk.png");
+                //w->writeContentsToFile(skyboxPrefix_+"2.png");
+                ce->yaw(Degree(90)); 
+                iterateOverDirections_++;
+                break;
+
+            case 4 :
+                w->writeContentsToFile(skyboxPrefix_+"rt.png");
+                //w->writeContentsToFile(skyboxPrefix_+"3.png");
                 ce->yaw(Degree(90)); 
                 ce->pitch(Degree(90)); 
@@ -113,19 +118,24 @@
                 break;
 
-            case 4 :
-                //w->writeContentsToFile(skyboxPrefix_+"UP.png");
-                w->writeContentsToFile(skyboxPrefix_+"4.png");
+            case 5 :
+                w->writeContentsToFile(skyboxPrefix_+"up.png");
+                //w->writeContentsToFile(skyboxPrefix_+"4.png");
                 ce->pitch(Degree(180)); 
                 iterateOverDirections_++;
                 break;
 
-            case 5 :
-                //w->writeContentsToFile(skyboxPrefix_+"DN.png");
-                w->writeContentsToFile(skyboxPrefix_+"5.png");
+            case 6 :
+                w->writeContentsToFile(skyboxPrefix_+"dn.png");
+                //w->writeContentsToFile(skyboxPrefix_+"5.png");
                 ce->pitch(Degree(90));
+                iterateOverDirections_++;
+                break;
+                
+            case 7 :
+                camera->getOgreCamera()->setAspectRatio(1.3333);
+                camera->getOgreCamera()->setFOVy(Degree(45));
                 iterateOverDirections_ =0;
                 takeScreenshot_ = false;
                 CommandExecutor::execute("pause");
-
             }
         }
@@ -134,9 +144,6 @@
 	void SkyboxGenerator::createSkybox( ) 
 	{
-
         SkyboxGenerator::getInstance().takeScreenshot_ = true;
-        
-
-    
+        CommandExecutor::execute("pause");
 	}
 }
Index: /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.h	(revision 6770)
+++ /code/branches/skybox2/src/modules/designtools/SkyboxGenerator.h	(revision 6771)
@@ -50,6 +50,5 @@
             std::string skyboxPrefix_; 
             bool takeScreenshot_;
-            int iterateOverDirections_;       
-        
+            int iterateOverDirections_;
     };
 }
